commit:     95dc2a7fc8a3e6c71d399b2a3005fe9ed1cd4b41
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Tue Apr 21 16:55:27 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Apr 21 16:55:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=95dc2a7f

games-util/NotEnoughProduction: new package

NEP is useful to explore/design production lines
in modded minecraft

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 games-util/NotEnoughProduction/Manifest            |  5 +++
 .../NotEnoughProduction-0.0.3.ebuild               | 39 ++++++++++++++++++++++
 .../NotEnoughProduction/files/NotEnoughProduction  |  9 +++++
 games-util/NotEnoughProduction/metadata.xml        |  8 +++++
 4 files changed, 61 insertions(+)

diff --git a/games-util/NotEnoughProduction/Manifest 
b/games-util/NotEnoughProduction/Manifest
new file mode 100644
index 0000000..77d69f8
--- /dev/null
+++ b/games-util/NotEnoughProduction/Manifest
@@ -0,0 +1,5 @@
+DIST NotEnoughProduction-0.0.3.zip 12160202 BLAKE2B 
664627887f6a7188f821085e65f8e62ea8457ecded96efc79675826501fde998d669180fc38c34736da47df6071b2b901ad18e88928c33f77f79b772e59cf74a
 SHA512 
f7500a97b2ef02867048feca89a5b1f449eb62ae742538b9e197f9db6a4663e9c9796ab079bb189f63e9bb71f2a7f7f1fdaf4a354b47b62c36eaa3c00a905124
+DIST NotEnoughProduction-128.png 10575 BLAKE2B 
0dcc96c74f03eb38ef017b229fc6389a549c76a34fa2a370910176baf33be7ece26a3d22093375c99cf918b41c7623a988111e870f806cd952731a76f10dd39d
 SHA512 
f126ca7af3e2b5e09be559a0d4a431ba73655c0cb65576300431c2cc9469ad2f43a4dfcfc5c9a132c10c41e56b1945ea6a5b37adf6e01e1db4cfb9e109120c14
+DIST NotEnoughProduction-16.png 879 BLAKE2B 
c95d0de65e4267f90c603caa01c4d76e09dc80156eb89f78093c95be36bb24e0fffeea5193bd0df46d427a0e89b9de4577f9f040d6a166fea23f3e9b2d34ea8d
 SHA512 
0993cc377a0b7b1147521e0e1ea1a480dacab9ec091abede1005602ce35009d662a1baca3f8057580d24601a35f4ac29b279d56d5d0d78fe58d9e69efe5bbda4
+DIST NotEnoughProduction-32.png 2092 BLAKE2B 
014b92f7e990a516bfc226bba7e34d6aa637df25508025475347e24fa56ccb92d71d6f7ab6c964df658b74898fab550d5ecb090a4fd47f7221e530c9e432bfe3
 SHA512 
89a032e2853055bd68bcbce59633b55d58afee79b7a7804f60c0c1421b107dd0ce4a29ad5bbcf4c51db68009796e1ffc08da18d087ef419f22de8e9691c01328
+DIST NotEnoughProduction-64.png 5135 BLAKE2B 
613761dda6991f81baedca991d511703840aced7a89993213df409079709ae15ad8aa5defe8d511f29d783bd116a46425bfdcc77219cf3016f2d5b8571e8eb01
 SHA512 
94b32be1dc20894a46cb3cd79628602d4aacc94ef566bf5786308d551c20eec093edd63513aa05f754c864325ca7286f622934462037a29b53819e041d1b7cc8

diff --git a/games-util/NotEnoughProduction/NotEnoughProduction-0.0.3.ebuild 
b/games-util/NotEnoughProduction/NotEnoughProduction-0.0.3.ebuild
new file mode 100644
index 0000000..f487fef
--- /dev/null
+++ b/games-util/NotEnoughProduction/NotEnoughProduction-0.0.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop java-pkg-2 xdg
+
+DESCRIPTION="Tool for building production chains for modded minecraft"
+HOMEPAGE="https://github.com/bigbass1997/NotEnoughProduction";
+SRC_URI="https://github.com/bigbass1997/${PN}/releases/download/v${PV}/${P}.zip
+       
https://raw.githubusercontent.com/bigbass1997/${PN}/master/lwjgl3/src/main/resources/libgdx128.png
 -> ${PN}-128.png
+       
https://raw.githubusercontent.com/bigbass1997/${PN}/master/lwjgl3/src/main/resources/libgdx64.png
 -> ${PN}-64.png
+       
https://raw.githubusercontent.com/bigbass1997/${PN}/master/lwjgl3/src/main/resources/libgdx32.png
 -> ${PN}-32.png
+       
https://raw.githubusercontent.com/bigbass1997/${PN}/master/lwjgl3/src/main/resources/libgdx16.png
 -> ${PN}-16.png"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="CC-BY-NC-SA-4.0"
+SLOT="0"
+
+RDEPEND="virtual/jre:1.8"
+
+S="${WORKDIR}"
+
+src_unpack() {
+       default
+       cp "${DISTDIR}/${PN}"-{16,32,64,128}.png "${S}" || die
+}
+
+src_install() {
+       java-pkg_newjar "${WORKDIR}/${P}.jar" ${P}.jar
+
+       dobin "${FILESDIR}/${PN}"
+
+       newicon -s 128x128 ${PN}-128.png nep.png
+       newicon -s 64x64 ${PN}-64.png nep.png
+       newicon -s 32x32 ${PN}-32.png nep.png
+       newicon -s 16x16 ${PN}-16.png nep.png
+       make_desktop_entry ${PN} "Not Enough Production" nep Utility
+}

diff --git a/games-util/NotEnoughProduction/files/NotEnoughProduction 
b/games-util/NotEnoughProduction/files/NotEnoughProduction
new file mode 100644
index 0000000..6dbd448
--- /dev/null
+++ b/games-util/NotEnoughProduction/files/NotEnoughProduction
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+# we need to execute this in a user writeable directory
+
+mkdir -p ${HOME}/.local/share/NotEnoughProduction
+cp /usr/share/NotEnoughProduction/lib/NotEnoughProduction-*.jar 
${HOME}/.local/share/NotEnoughProduction/NotEnoughProduction.jar
+pushd ${HOME}/.local/share/NotEnoughProduction
+java -jar ${HOME}/.local/share/NotEnoughProduction/NotEnoughProduction.jar
+popd

diff --git a/games-util/NotEnoughProduction/metadata.xml 
b/games-util/NotEnoughProduction/metadata.xml
new file mode 100644
index 0000000..1210e7e
--- /dev/null
+++ b/games-util/NotEnoughProduction/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>andrewammerl...@riseup.net</email>
+               <name>Andrew Ammerlaan</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to